首页 > 编程学习 > 项目#npm install #cnpm install #yarn安装包报错

项目#npm install #cnpm install #yarn安装包报错

发布时间:2022/12/10 16:23:53

错误信息一、
在这里插入图片描述

npminstall version: 5.2.2
npminstall args: C:\Program Files\nodejs\node.exe C:\Users\Mayi\AppData\Roaming\npm\node_modules\cnpm\node_modules\npminstall\b
in\install.js --fix-bug-versions --china --userconfig=C:\Users\Mayi\.cnpmrc --disturl=https://npmmirror.com/mirrors/node --regi
stry=https://registry.npmmirror.com

安装"tui-editor": “1.3.3”, 报错导致的上边错误信息

fatal: repository ‘https://github.com/nhn/raphael.git/’ not found #3491
一般是因为连接github速度很慢,导致下载这个包超时, "tui-editor"这个库的依赖,如果项目中没有用到那个markdown组件,可以把这个从package.json中移除

也可以使用 cnpm 多尝试几次 可能成功

错误信息二、

Syntax Error: TypeError: token.type.endsWith is not a function
Occurred while linting D:\gs\zcfg3\src\views\bidding\quotationFormat.vue:544at Array.every (<anonymous>)at Array.forEach (<anonymous>)@ ./src/router/index.js 928:39-81@ ./src/main.js@ multi ./node_modules/_webpack-dev-server@3.11.3@webpack-dev-server/client?http://0.0.0.0&sockPath=/sockjs-node (webpack)/hot
/dev-server.js ./src/main.js

在这里插入图片描述
这个改一下 bable-eslint 版本重新执行 cnpm install 就行


本文链接:https://www.ngui.cc/el/2314006.html
Copyright © 2010-2022 ngui.cc 版权所有 |关于我们| 联系方式| 豫B2-20100000